/*
 *         PCRE (http://www.pcre.org/)      
 *
 *                
 *
 *   Windows: http://www.psyon.org/projects/pcre-win32/pcre-7.9-static.zip
 */

//#include "stdafx.h" //    ,     

#define PCRE_STATIC

#include <pcreposix.h> //     POSIX-

#include <string>
#include <iostream>

int main( int argc, char ** argv ) {
    std::string s; //     
    std::cin >> s; //     

    regex_t e; // ,      
	regcomp(&e, "([+-]?)([01]+)([$])", 0); //       . 0 -    (   -  )
// ((?:M|D)+)
    regmatch_t match[4]; //    

    if (regexec(&e, s.c_str(), 4, match, 0
		) == 0) { //        (0  )
        std::cout << "yes" << std::endl;
        std::cout << std::string(s, match[0].rm_so, match[0].rm_eo - match[0].rm_so) << std::endl; //    -   0
        std::cout << std::string(s, match[1].rm_so, match[1].rm_eo - match[1].rm_so) << std::endl; //    -  
        std::cout << std::string(s, match[2].rm_so, match[2].rm_eo - match[2].rm_so) << std::endl; //    -  
		std::cout << std::string(s, match[3].rm_so, match[3].rm_eo - match[3].rm_so) << std::endl; // $
    } else {
        std::cout << "no" << std::endl; //  
    }

    regfree(&e); //    ,      
    system("pause");

    return 0;
}